### Method

# Ide LineReader next

#### Declaration

    gchar*
    ide_line_reader_next (
      IdeLineReader* reader,
      gsize* length
    )

#### Description

Moves forward to the beginning of the next line in the buffer. No changes to the buffer are made, and the result is a pointer within the string passed as `contents` in ide_line_reader_init(). Since the line most likely will not be terminated with a NULL byte, you must provide `length` to determine the length of the line.

Available since: | 3.32

#### Parameters

`length` | `gsize*`
| A location for the length of the line in bytes.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gchar*`
| The beginning of the line within the buffer.
| The data is owned by the instance.
| The value is a NUL terminated UTF-8 string.